org.jbpm.services.task.impl.model.xml

## Class JaxbContentData

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<org.kie.internal.task.api.model.ContentData>
  - - org.jbpm.services.task.impl.model.xml.JaxbContentData

- All Implemented Interfaces:
    Externalizable, Serializable, org.kie.internal.task.api.model.ContentData

      public class JaxbContentData
      extends AbstractJaxbTaskObject<org.kie.internal.task.api.model.ContentData>
      implements org.kie.internal.task.api.model.ContentData

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject

      `realClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxbContentData()`
    `JaxbContentData(org.kie.internal.task.api.model.ContentData contentData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.task.api.model.AccessType` | `getAccessType()`
    `byte[]` | `getContent()`
    `Object` | `getContentObject()`
    `String` | `getType()`
    `void` | `setAccessType(org.kie.internal.task.api.model.AccessType accessType)`
    `void` | `setContent(byte[] content)`
    `void` | `setContentObject(Object object)`
    `void` | `setType(String type)`

    - ### Methods inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject

      `convertListFromInterfaceToJaxbImpl, initialize, readExternal, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Constructor Detail

    - #### JaxbContentData

          public JaxbContentData()

    - #### JaxbContentData

          public JaxbContentData(org.kie.internal.task.api.model.ContentData contentData)

  - ### Method Detail

    - #### getAccessType

          public org.kie.internal.task.api.model.AccessType getAccessType()

      Specified by:
        `getAccessType` in interface `org.kie.internal.task.api.model.ContentData`

    - #### setAccessType

          public void setAccessType(org.kie.internal.task.api.model.AccessType accessType)

      Specified by:
        `setAccessType` in interface `org.kie.internal.task.api.model.ContentData`

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `org.kie.internal.task.api.model.ContentData`

    - #### setType

          public void setType(String type)

      Specified by:
        `setType` in interface `org.kie.internal.task.api.model.ContentData`

    - #### getContent

          public byte[] getContent()

      Specified by:
        `getContent` in interface `org.kie.internal.task.api.model.ContentData`

    - #### setContent

          public void setContent(byte[] content)

      Specified by:
        `setContent` in interface `org.kie.internal.task.api.model.ContentData`

    - #### getContentObject

          public Object getContentObject()

      Specified by:
        `getContentObject` in interface `org.kie.internal.task.api.model.ContentData`

    - #### setContentObject

          public void setContentObject(Object object)

      Specified by:
        `setContentObject` in interface `org.kie.internal.task.api.model.ContentData`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.